<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1static__map__kernel__1.html">static_map_kernel_1</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::static_map_kernel_1&lt; domain, range, compare &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>at_start</b>() const (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>at_start_</b> (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>binary_search</b>(const domain &amp;item, unsigned long &amp;pos) const (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>comp</b> (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>compare_type</b> typedef (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#ae53a7e137fba03373f6abcbb775c1641">current_element_valid</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>d</b> (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>deserialize</b> (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>domain_type</b> typedef (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#a0eb68f6a1f002de02008d2cb7e6627a5">element</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#ab83f843390ea48c1e958f914b50122e3">element</a>()</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>load</b>(pair_remover&lt; domain, range &gt; &amp;source) (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>load</b>(asc_pair_remover&lt; domain, range, compare &gt; &amp;source) (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#a342222c87e900f99550ec3086e6a8d3d">map_size</a></td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#a34295360a065f601239777570961a7f2">median</a>(unsigned long one, unsigned long two, unsigned long three)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#abd85a3044ae4f943eadca62c2c7ea6e3">move_next</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mp</b> (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(static_map_kernel_1 &amp;) (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1enumerable.html#a328c55c7c5df14e115cd502e9756e8a3">enumerable&lt; map_pair&lt; domain, range &gt; &gt;::operator=</a>(const enumerable &amp;)</td><td class="entry"><a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; map_pair&lt; domain, range &gt; &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(const domain &amp;d) const (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(const domain &amp;d) (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#a4c6b209c74f374384b503ca15dffafaa">qsort_partition</a>(unsigned long &amp;partition_element, const unsigned long left, const unsigned long right)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>r</b> (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>range_type</b> typedef (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#aee4ceab9ae3f7d8f184328543a132aaa">reset</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#a91455aca10ea9ead103b98bc1502688a">size</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html#a001f56ba5f6768398081d5c2c636f4e5">sort_arrays</a>(unsigned long left, unsigned long right)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>static_map_kernel_1</b>() (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>static_map_kernel_1</b>(static_map_kernel_1 &amp;) (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>swap</b>(static_map_kernel_1 &amp;item) (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1enumerable.html#aece453aca3947d8b1f7bf016d5f99cda">type</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; map_pair&lt; domain, range &gt; &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~enumerable</b>()=0 (defined in <a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; map_pair&lt; domain, range &gt; &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; map_pair&lt; domain, range &gt; &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~static_map_kernel_1</b>() (defined in <a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1static__map__kernel__1.html">dlib::static_map_kernel_1&lt; domain, range, compare &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
